---
updatedAt: 2026-08-06T21:05:39.000Z
agentTools:
  projectIndex: https://snipe-it.readme.io/llms.txt
---

# /models/:id/files

Retrieve a model's files by model ID

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "snipe-it-rest-api",
    "version": "8.2.0"
  },
  "servers": [
    {
      "url": "https://develop.snipeitapp.com/api/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/models/{id}/files": {
      "get": {
        "summary": "/models/:id/files",
        "description": "Retrieve a model's files by model ID",
        "operationId": "models-files-list",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Model ID",
            "schema": {
              "type": "integer",
              "format": "int32"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": 3,\n  \"name\": \"Rohan-Bergstrom\",\n  \"created_at\": \"2017-01-11 03:31:25\",\n  \"updated_at\": \"2017-01-11 03:31:25\"\n}"
                  },
                  "Not Found": {
                    "value": "{\n  \"status\": \"error\",\n  \"messages\": \"Company not found\"\n}"
                  }
                },
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 3,
                          "default": 0
                        },
                        "name": {
                          "type": "string",
                          "example": "Rohan-Bergstrom"
                        },
                        "created_at": {
                          "type": "string",
                          "example": "2017-01-11 03:31:25"
                        },
                        "updated_at": {
                          "type": "string",
                          "example": "2017-01-11 03:31:25"
                        }
                      }
                    },
                    {
                      "title": "Not Found",
                      "type": "object",
                      "properties": {
                        "status": {
                          "type": "string",
                          "example": "error"
                        },
                        "messages": {
                          "type": "string",
                          "example": "Company not found"
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": \"error\",\n  \"message\": \"Unauthorized.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized."
                    }
                  }
                }
              }
            }
          },
          "405": {
            "description": "405",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"status\": \"error\",\n  \"messages\": \"Method not allowed\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "messages": {
                      "type": "string",
                      "example": "Method not allowed"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -request POST --url http://your-snipe-it/api/v1/models/1/files \\\n--header 'Accept: application/json' \\\n--header 'Authorization: Bearer YOUR-BEARER-TOKEN' \\\n--form 'file[]=@test.txt' \\\n--form 'file[]=@test2.txt' \\\n--form 'file[]=@poc.svg' \\\n--form 'notes=Test'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Authorization",
        "value": "Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIyIiwianRpIjoiN2I1OTg3ZGVlYzI0ZmUxNzZmM2M4Y2VmZmFkOWZhZTMwOGY5YTc5MWU5OTI1MjljMWRmMDFmMTFjYThjMWRmZWE5YTlhODdhMDcxOTA2Y2IiLCJpYXQiOjE3ODY2NjIwMzYuMzExNjY1LCJuYmYiOjE3ODY2NjIwMzYuMzExNjcsImV4cCI6MjQxNzgxNDAzNi4yOTc4MDcsInN1YiI6IjEiLCJzY29wZXMiOltdfQ.bsToXzAmDU_c0WfA36bjgIfP9reBXaDrV3vEz78fJ6mdvnGBBPfqRFD3nb2NL6Zr2X3EavWoFA2-Adn3L-0Ds7OFBfU9jdyu5vlaA-f6BHVBuJlGu2NO0SuYmlRG-2DqMQL8MHjM2NQ4k1HX5UV8ox9fzxXAe9nD7wmV0mgWtWAyq29XfiBZQcYWLKjam0LnvHbFnL29ikVazCK6_Kl9_7d0gkX32QdgbtgIFDmrngSHnAeO2wTvUvf-rz8HsV0cv_9SALuLPNSUXiKjC2amSsgzU05a0xFmMYu3mSmfgH2PDC2qAsByjOlU5yQDv2hTEBEle0c2N2-z1mL-udi49a1FreedSX0Vxm04RTFTO4UwZUO4TGsLu47JheVPuMUN5V4FUCpXPX6qoyiBrGHPWx6cfjYzEK0joJeNi9Q5LwMjZxmJ_1K2P13lTcw67fJEHQeBoiYles4TJXzgmKpYJtGRMdcdiLj8zFiDZYnq31imndZTjfIT5oTY5owEfKRCcfxoDjFMi7mrr0zpi1Tx9bGDUQLD50aoa3M1zqSQvOqi6StvWE-vDGYbRE3oNRIOtL5xQslLMLsvEK4etz_CsYW0WJ-tu_rKs7muU5yM0gIW2pCFiMbNGzJp37uFrxTD5LGn3b-r0gNhMWLYKGzYRIeyRWir2vymf2I0RX5wL5s"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```